Name: uxtank
Version: 2.3
Release: %mkrel 1

Summary: uxTank is a game of tank shooting for Xwindows
Summary(de): uxTank ist ein Spiel bei dem man auf Panzer schießt, für Xwindows
Group: Games/Arcade
License: GPL
URL: http://ux.tank.googlepages.com/home
Source: http://ux.tank.googlepages.com/uxtank%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	SDL_mixer-devel
BuildRequires: desktop-file-utils
BuildRequires: libxorg-x11-devel
Requires: SDL



%description
uxTank is a game of tank shooting for Xwindows.

%description -l de
uxTank ist ein Spiel bei dem man auf Panzer schießt, für Xwindows

%prep
%setup -q -n %{name}%{version}

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -dm 755 %{buildroot}/%{_gamesbindir}
install -m 755 %{name} %{buildroot}/%{_gamesbindir}

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert icons/uxTankIcon50.xpm -resize 48x48 %{name}.png
install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps

# menu-entry
install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=uxTank
Comment=uxTank is a game of tank shooting for Xwindows
Comment[de]=uxTank ist ein Spiel bei dem man auf Panzer schießt, für Xwindows
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun 
%clean_menus


%files
%defattr(-,root,root)
%doc COPYING.TXT 
%{_gamesbindir}/%{name}
%dir %{_datadir}/%{name}*
%{_datadir}/%{name}/sounds
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}*.desktop

%changelog
* Thu Feb 23 2012 Neal <nealbrks0 at gmail dot com> 2.3-1pclos2012
- process

* Thu Feb 23 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.3-1pclos2012
- 2.3
- added german summary, description and comment in desktop file section
- added xz compression
- renamed spec file to pclos-uxtank.spec

* Mon Aug 18 2008 Slick50 <slick50@linuxgator.org> 2.0-1pclos2007
- Initial build
